Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### cursor()
Examples |
    // Move the mouse left and right across the image
    // to see the cursor change from a cross to a hand

    void draw()
    {
      if(mouseX < 50) {
        cursor(CROSS);
      } else {
        cursor(HAND);
      }
    }
Description | Sets the cursor to a predefined symbol, an image, or turns it on if already hidden. If you are trying to set an image as the cursor, it is recommended to make the size 16x16 or 32x32 pixels. It is not possible to load an image as the cursor if you are exporting your program for the Web. The values for parameters x and y must be less than the dimensions of the image.
Syntax |
    cursor()
    cursor(MODE)
    cursor(image, x, y)
Parameters |
MODE | either ARROW, CROSS, HAND, MOVE, TEXT, WAIT
image | PImage: any variable of type PImage
x | int: the horizonal active spot of the cursor
y | int: the vertical active spot of the cursor
Usage | Web & Application
Related | noCursor()

Updated on December 20, 2005 02:03:00pm PST